(**************************************************************************

   	This file is part of the AtomicDensityMatrix package for Mathematica
    Copyright (C) 2004-2017 Simon M. Rochester <simon@rochesterscientific.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

**************************************************************************)

BeginPackage["AtomicDensityMatrix`GraphicsUtilities`", {"AtomicDensityMatrix`"}];

Begin["`Private`"];

GetLines[g : _Graphics | _Graphics3D] := Cases[First@Normal@g, _Line, Infinity];

TranslateX[x_][g_] := Translate[g, {x, 0, 0}];

TranslateY[x_][g_] := Translate[g, {0, x, 0}];

TranslateZ[x_][g_] := Translate[g, {0, 0, x}];

RotateX[theta_][g_] := Rotate[g, theta, {1, 0, 0}];

RotateY[theta_][g_] := Rotate[g, theta, {0, 1, 0}];

RotateZ[theta_][g_] := Rotate[g, theta, {0, 0, 1}];

Crop[{{xmin_, xmax_}, {ymin_, ymax_}}] := {{0, 1} + {-xmin, 1 - xmax} / (xmax - xmin), {0, 1} + {-ymin, 1 - ymax} / (ymax - ymin)};

End[];

EndPackage[];
